gcc

module (bold = default) build dependencies
gcc/4.9.4 gcc 4.8.5
gcc/5.4.0 gcc 4.9.4
gcc/6.2.0 gcc 5.4.0

also see Using Software.